# extconf for Corporate Time
#
# $Id: extconf.rb,v 1.8 2003/01/07 09:03:24 ianmacd Exp $

require 'mkmf'

dir_config('capi')

unless have_header('ctapi.h')
  $stderr.puts <<EOF
If ctapi.h is on your system, ensure that CAPI_FUNC is defined, using
something like this:

#define CAPI_FUNC(a) a
EOF
  exit 1
end

unless have_library('capi', 'CAPI_Connect')
  exit 1
end

# check for version 2.5 or later of CAPI API
have_func('CAPI_AuthenticateAsSysop', 'ctapi.h')

create_makefile('ctime')

File.open('Makefile', 'a') do |f|
  f.print <<EOF

extra-clean:	distclean
		-rm -f $(docfiles)

docfiles	= doc/ctime.html doc/ctime.3

docs:		$(docfiles)

doc/ctime.html:	doc/ctime.rd
		rd2 doc/ctime.rd > doc/ctime.html

doc/ctime.3:	doc/ctime.rd
		rd2 -rrd/rd2man-lib.rb doc/ctime.rd > doc/ctime.3
EOF
end
