# $Id: ruby-CorporateTime.spec,v 1.20 2003/01/07 09:15:17 ianmacd Exp $
#

Summary: Ruby interface to Steltor's CorporateTime calendar server
Name: ruby-CorporateTime
Version: 0.1.2
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby
# don't want rpm to complain at install time about missing CAPI library
Provides: libcapi.so

%description
CorporateTime is a corporate calendar server product originally produced by
Steltor and now available from Oracle.

Ruby/CorporateTime is a Ruby language extension that serves as a wrapper to
the CorporateTime API known as CAPI. It allows interaction with CorporateTime
servers via the Ruby programming language.

In order to use this software, you should have the Calendar API (CAPI) software
installed on your computer.

%prep
%setup

%build
ruby extconf.rb
make
#make docs

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

strip ctime.so

make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man3
install example/mycal $RPM_BUILD_ROOT%{_bindir}

install doc/ctime.3 $RPM_BUILD_ROOT%{_mandir}/man3/ctime.3
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man3/ctime.3

find $RPM_BUILD_ROOT -type f -print | \
        ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README TODO
%doc -P example/README example/ct2z example/ct_test example/find_slot
%doc -P doc/ctime.html doc/ctime.rd

%changelog
* Tue Jan  7 2003 Ian Macdonald <ian@caliban.org> 0.1.2-1
- 0.1.2
- CTime#get_events now takes a third parameter that specifies the type
  of property list to attempt to retrieve

* Thu Oct  2 2002 Ian Macdonald <ian@caliban.org> 0.1.1-1
- 0.1.1
- ct_get_events() now decodes quoted printable MIME in events

* Wed Sep 25 2002 Ian Macdonald <ian@caliban.org> 0.1.0-1
- 0.1.0
